package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.cooleshow.common.enums.BaseEnum;

/**
 * 认证审核状态
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum AuthStatusEnum implements BaseEnum<String, AuthStatusEnum> {
    UNPAALY("未申请"),
    DOING("审核中"),
    PASS("通过"),
    UNPASS("不通过");
    @EnumValue
    private String code;
    private String msg;

    AuthStatusEnum(String msg) {
        this.code = getCode();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.name();
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}