package com.yonge.cooleshow.biz.dal.enums;

public enum CourseGroupEnum{
    ING("ING", "进行中"),
    COMPLETE("COMPLETE", "已完成"),
    DISSOLVE("DISSOLVE", "未成课"),//解散课程
    CANCEL("CANCEL", "已取消"),
    APPLY("APPLY", "报名中"),
    NOT_SALE("NOT_SALE", "未开售");

    private String code;

    private String msg;

    CourseGroupEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
