package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.StudentAttendance;
import com.yonge.cooleshow.biz.dal.vo.StudentAttendanceVo;
import com.yonge.cooleshow.biz.dal.dto.search.StudentAttendanceSearch;
import com.yonge.cooleshow.biz.dal.dao.StudentAttendanceDao;
import com.yonge.cooleshow.biz.dal.service.StudentAttendanceService;


@Service
public class StudentAttendanceServiceImpl extends ServiceImpl<StudentAttendanceDao, StudentAttendance> implements StudentAttendanceService {

	@Override
    public StudentAttendanceVo detail(Long id) {
        StudentAttendanceVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<StudentAttendanceVo> selectPage(IPage<StudentAttendanceVo> page, StudentAttendanceSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}