package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yonge.cooleshow.biz.dal.entity.CourseGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 课程组表(CourseGroup)表数据库访问层
 *
 * @author hgw
 * @since 2022-03-18 15:29:10
 */
public interface CourseGroupDao extends BaseMapper<CourseGroup> {

    int insertBatch(@Param("entities") List<CourseGroup> entities);

    /**
     * 分页查询课程组信息
     */
    <T> IPage<T> queryTeacherCourseGroup(Page<T> page, @Param("param") Map<String, Object> param);

}

