package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserOrderDetailVo;
import com.yonge.cooleshow.biz.dal.dto.search.OrderDetailSearch;
import com.yonge.cooleshow.biz.dal.entity.UserOrderDetail;

/**
 * 平台订单表 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface UserOrderDetailService extends IService<UserOrderDetail>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	UserOrderDetailVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<UserOrderDetailVo> selectPage(IPage<UserOrderDetailVo> page, OrderDetailSearch query);
}